<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/MapAssets/Scripts/4_world/dayzexpansion_mapassets/entities/builderitems/vehicles/bldr_expansion_gyrocopter_base.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d7b/a01478_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">bldr_expansion_gyrocopter_base.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d7b/a01478.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * bldr_expansion_Gyrocopter_Base.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span>bldr_expansion_Gyrocopter_Base <span class="keyword">extends</span> <a class="code hl_class" href="../../de/d4f/a05221.html">House</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../de/d4f/a05221.html#af73fc07583a639968f08b44d5da3f299">m_RotorAnimationPosition</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">// bldr_expansion_Gyrocopter_Base Constructor</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../de/d4f/a05221.html#a9a3f91d603fbd6a711040bb1df38a8c8">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d4f/a05221.html#a9a3f91d603fbd6a711040bb1df38a8c8">bldr_expansion_Gyrocopter_Base</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        SetEventMask( EntityEvent.CONTACT | EntityEvent.SIMULATE );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// bldr_expansion_Gyrocopter_Base EOnSimulate</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../de/d4f/a05221.html#a938d39656d0f1c41d16a9e2212224aff">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/d4f/a05221.html#a938d39656d0f1c41d16a9e2212224aff">EOnSimulate</a>( IEntity owner, <span class="keywordtype">float</span> dt )</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_RotorAnimationPosition += 1 * dt * 20.0 / ( Math.PI * 2.0 );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span> ( m_RotorAnimationPosition &gt;= 1 )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            m_RotorAnimationPosition -= 1;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        SetAnimationPhase( <span class="stringliteral">&quot;rotor&quot;</span>, m_RotorAnimationPosition );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        SetAnimationPhase( <span class="stringliteral">&quot;rearrotor&quot;</span>, m_RotorAnimationPosition );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>};</div>
<div class="ttc" id="aa05221_html"><div class="ttname"><a href="../../de/d4f/a05221.html">House</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d42/a01463_source.html#l00013">bldr_expansion_airdrop_plane.c:14</a></div></div>
<div class="ttc" id="aa05221_html_a938d39656d0f1c41d16a9e2212224aff"><div class="ttname"><a href="../../de/d4f/a05221.html#a938d39656d0f1c41d16a9e2212224aff">House::EOnSimulate</a></div><div class="ttdeci">override void EOnSimulate(IEntity owner, float dt)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7b/a01478_source.html#l00028">bldr_expansion_gyrocopter_base.c:28</a></div></div>
<div class="ttc" id="aa05221_html_a9a3f91d603fbd6a711040bb1df38a8c8"><div class="ttname"><a href="../../de/d4f/a05221.html#a9a3f91d603fbd6a711040bb1df38a8c8">House::bldr_expansion_Gyrocopter_Base</a></div><div class="ttdeci">void bldr_expansion_Gyrocopter_Base()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d7b/a01478_source.html#l00020">bldr_expansion_gyrocopter_base.c:20</a></div></div>
<div class="ttc" id="aa05221_html_af73fc07583a639968f08b44d5da3f299"><div class="ttname"><a href="../../de/d4f/a05221.html#af73fc07583a639968f08b44d5da3f299">House::m_RotorAnimationPosition</a></div><div class="ttdeci">float m_RotorAnimationPosition</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d42/a01463_source.html#l00015">bldr_expansion_airdrop_plane.c:15</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_bec431a1d97b3deb2a8805e773130657.html">MapAssets</a></li><li class="navelem"><a class="el" href="../../dir_1ce580556643b0fb6ba7761008942d06.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_895a60553c65fc09d14158b2b3bbf441.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_08eaf30ac35fa0d78d5cd7e327f5168f.html">dayzexpansion_mapassets</a></li><li class="navelem"><a class="el" href="../../dir_3ee09cff61644774ef6da88f12b95bc0.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_ddf8f09e9981c81c48a718bbe9784a1e.html">builderitems</a></li><li class="navelem"><a class="el" href="../../dir_bf0576353afb22326491e685914d14cf.html">vehicles</a></li><li class="navelem"><a class="el" href="../../d8/d7b/a01478.html">bldr_expansion_gyrocopter_base.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
